Subject: bug#33255: 27.0.50; expand-file-name: default directory expanded twice if relative

From: Glenn Morris <[email-masked]>
Date: Tue, 20 Nov 2018 14:08:08 -0500

Paul Eggert wrote:

> On 11/14/18 10:10 AM, Glenn Morris wrote:
>> Can you point me to the citation for that please
>
> http://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html#tag_18_06_01

I had looked at that page before. Looking again, I still don't see
anything as clear-cut as "POSIX says that sh treats ~/foo like $HOME/foo
even when HOME is not absolute".

There are no matches for "relative" on that page.
There are three for "absolute". One is for ENV, and says that the
results are unspecified if it is not absolute. The other two are for
PWD, and say that it must be absolute.

What am I missing?
Just that the section on ~ expansion says nothing one way or the other?
I was really looking for a reference about HOME.